Last Comment Bug 807174 - Drop-down list used inside a frameset document renders outside the frame
: Drop-down list used inside a frameset document renders outside the frame
Status: RESOLVED FIXED
Regressed by 575294
: regression, testcase
Product: Core
Classification: Components
Component: Layout: Form Controls (show other bugs)
: 16 Branch
: x86_64 All
: -- normal (vote)
: mozilla19
Assigned To: Mats Palmgren (:mats)
: Manuela Muntean [Away]
Mentors:
: 807288 (view as bug list)
Depends on:
Blocks: CVE-2012-3984
  Show dependency treegraph
 
Reported: 2012-10-30 17:18 PDT by Loic
Modified: 2012-12-17 00:32 PST (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
wontfix
+
fixed
+
verified
+
fixed


Attachments
Testcase (1.17 KB, text/html)
2012-10-30 17:18 PDT, Loic
no flags Details
Screenshot on Win 7 (25.42 KB, image/png)
2012-10-30 17:19 PDT, Loic
no flags Details
fix (1.54 KB, patch)
2012-10-30 19:51 PDT, Mats Palmgren (:mats)
roc: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta+
Details | Diff | Review

Description Loic 2012-10-30 17:18:02 PDT
STR:
1) Open the testcase
2) Click on the drop-down list displayed in the footer

Result:
With FF16+, the drop-down list is rendered outside the frame (and the Firefox window sometimes).

Mozregression range:

m-c
good=2012-06-23
bad=2012-06-24
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=bb4b37094b9f&tochange=cb2904476d14

m-i
good=2012-06-22
bad=2012-06-23
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=a7621ccb684e&tochange=daf9c42be518

Suspected bug:
Robert O'Callahan — Bug 766007. Create scrollframes for frameset documents. r=tnikkel

For the record, utf-8 translation of base64 part from the testcase:
<html>
<body>
<select name="testdropdown" style="width:150px;" >
<option value="1">option 1</option>
<option value="2">option 2</option>
<option value="3">option 3</option>
<option value="4">option 4</option>
<option value="5">option 5</option>
<option value="6">option 6</option>
<option value="7">option 7</option>
<option value="8">option 8</option>
<option value="9">option 9</option>
</select>
</body>
</html>

Reporter: http://forums.mozillazine.org/viewtopic.php?f=25&t=2592587
Comment 1 Loic 2012-10-30 17:18:48 PDT
Created attachment 676855 [details]
Testcase
Comment 2 Loic 2012-10-30 17:19:25 PDT
Created attachment 676856 [details]
Screenshot on Win 7
Comment 3 Alice0775 White 2012-10-30 17:49:37 PDT
Regression window(m-i)
Good:
http://hg.mozilla.org/integration/mozilla-inbound/rev/80b8680bda1c
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/16.0 Firefox/16.0 ID:20120622175046
Bad:
http://hg.mozilla.org/integration/mozilla-inbound/rev/c35d2d3071ac
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/16.0 Firefox/16.0 ID:20120622182843
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=80b8680bda1c&tochange=c35d2d3071ac


In local build:
Last Good: e3676fde39a8
First Bad: 23f5c88adb8f

Triggered by:
23f5c88adb8f	Mats Palmgren — Bug 575294. part=2/5 r=smaug,roc
Comment 4 Mats Palmgren (:mats) 2012-10-30 19:51:29 PDT
Created attachment 676891 [details] [diff] [review]
fix

Use GetToplevelContentDocumentPresContext() instead of the pres context
of the combobox when calculating the available space.
Comment 6 Alice0775 White 2012-10-31 06:34:15 PDT
*** Bug 807288 has been marked as a duplicate of this bug. ***
Comment 7 Ed Morley [:emorley] 2012-10-31 07:15:23 PDT
https://hg.mozilla.org/mozilla-central/rev/1858a5369d22
Comment 8 Lukas Blakk [:lsblakk] use ?needinfo 2012-10-31 12:13:07 PDT
Would consider late beta uplift nomination since this has a testcase and is easily verifiable by QA.
Comment 9 Mats Palmgren (:mats) 2012-11-04 01:00:38 PDT
Comment on attachment 676891 [details] [diff] [review]
fix

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 575294
User impact if declined: cosmetic layout error for combobox menu in an edge case, the control should still be usable without the fix
Testing completed (on m-c, etc.): on m-c since 2012-10-31
Risk to taking this patch (and alternatives if risky): low risk
String or UUID changes made by this patch: none
Comment 10 Lukas Blakk [:lsblakk] use ?needinfo 2012-11-05 12:24:05 PST
Comment on attachment 676891 [details] [diff] [review]
fix

Please land asap so this gets into tomorrow's beta.
Comment 12 Manuela Muntean [Away] 2012-12-17 00:32:54 PST
Verified fixed on Firefox 18 beta 4.

User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:18.0) Gecko/20100101 Firefox/18.0
Build ID: 20121212073002

Note You need to log in before you can comment on or make changes to this bug.